> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Voting Sessions

> List all voting sessions for an experiment (owner or team manager only).



## OpenAPI

````yaml /openapi.json get /v1/experiments/{experiment_id}/voting-sessions
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/voting-sessions:
    get:
      tags:
        - Voting Sessions
      summary: List Voting Sessions
      description: List all voting sessions for an experiment (owner or team manager only).
      operationId: list_voting_sessions_v1_experiments__experiment_id__voting_sessions_get
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VotingSessionListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    VotingSessionListResponse:
      description: List of voting sessions.
      properties:
        sessions:
          items:
            $ref: '#/components/schemas/VotingSessionResponse'
          title: Sessions
          type: array
        total:
          title: Total
          type: integer
      required:
        - sessions
        - total
      title: VotingSessionListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    VotingSessionResponse:
      description: Response for a voting session.
      properties:
        audience:
          default: public
          enum:
            - public
            - internal
          title: Audience
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          format: uuid
          title: Created By
          type: string
        experiment_id:
          format: uuid
          title: Experiment Id
          type: string
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Expires At
        id:
          format: uuid
          title: Id
          type: string
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        is_active:
          title: Is Active
          type: boolean
        is_canonical_internal:
          default: false
          title: Is Canonical Internal
          type: boolean
        max_seats:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Seats
        max_votes_per_voter:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Votes Per Voter
        name:
          title: Name
          type: string
        non_choice_responses:
          default: 0
          title: Non Choice Responses
          type: integer
        paused_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Paused At
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Revoked At
        spend_cap_credits:
          anyOf:
            - type: integer
            - type: 'null'
          title: Spend Cap Credits
        spend_spent_credits:
          default: 0
          title: Spend Spent Credits
          type: integer
        spend_used:
          default: 0
          title: Spend Used
          type: integer
        status:
          default: active
          title: Status
          type: string
        token:
          title: Token
          type: string
        total_vote_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Vote Limit
        total_votes:
          title: Total Votes
          type: integer
        unique_voters:
          title: Unique Voters
          type: integer
        voting_url:
          title: Voting Url
          type: string
      required:
        - id
        - experiment_id
        - token
        - name
        - voting_url
        - max_seats
        - max_votes_per_voter
        - expires_at
        - is_active
        - revoked_at
        - total_votes
        - unique_voters
        - created_at
        - created_by
      title: VotingSessionResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````